@font-face {
  font-family: "encabezado";
  src: url(../fonts/Sora-ExtraBold.ttf);
}
@font-face {
  font-family: "titulos";
  src: url(../fonts/Sora-SemiBold.ttf);
}
@font-face {
  font-family: "texto";
  src: url(../fonts/Sora-Regular.ttf);
}


* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  font-size: 16px;
  letter-spacing: 1.3px;  
}

:root {
  --verde: #098793;
  /* --verdeoscuro: #15758e; */
  --blanco: #fff;
  /* --grisclaro: #f1f1f9;
  --grismedio: #d9daef; */
  --grisoscuro: #2C3F44;
  /* --amarillo: #ecde00; */
  --amarilloClaro:#feebbb;
  /* --transparente: #d9daefc2; */
  --lila:#A4ACD2;
  --trasparent: #f8feff8a;
}


/*ESTILOS DE BOTONES GENERALES*/

.btn__general-midi{
  padding: 0.4em 0.7em;
  font-family: "texto", sans-serif;
  border: none;
  font-size: calc(16px + (24 - 16) * ((100vw - 300px) / (1920 - 320)));
  color: var(--blanco);
  border-radius: 8px;
  background-color: var(--verde);
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}


/* ...................................................
...........ESTILOS GENERALES..........................
.................................................... */


/*...BOTONES...*/
/* .btn-slogan:hover {
  background: var(--verde);
  color: var(--blanco);
} */

.line-horizontal{
  border-top: 1px solid #000;
}

/* TITULOS H2 GENERALES */
/* .title__section h2{
  font-family: "titulos", sans-serif;
  font-size:calc(18px + (28 - 18) * ((100vw - 300px) / (1920 - 320)));
  color: #000;
  align-self: flex-start;
  margin-bottom: 1.5em;
}
.content__flex-in p{
  font-family: "texto", sans-serif;
  font-weight: 900;
  font-size: calc(12px + (16 - 12) * ((100vw - 300px) / (1920 - 320)));
} */

/* LINKS GENERALES */
.content__flex-in a{
  padding: 0.7rem 0.9rem;
  font-family: "titulos", sans-serif;
  font-size: calc(12px + (18 - 12) * ((100vw - 300px) / (1920 - 320)));
  color: var(--verde);
  border: var(--verde) 2px solid;
  border-radius: 10px;
  background-color: transparent;
  box-shadow: 3px 3px 5px 0px rgba(68, 68, 68, 0.75);
  -webkit-box-shadow: 3px 3px 5px 0px rgba(68, 68, 68, 0.75);
  -moz-box-shadow: 3px 3px 5px 0px rgba(68, 68, 68, 0.75);
  transition: all 0.5s ease-in-out;
}

.content__flex-in a:hover{
  color: var(--blanco);
  background-color: var(--verde);
}


/* ................................................
..........CONTENEDOR SECCIONES GENERAL */

.content__section{
  width: 90vw;
  height: 100vh;
  margin-left: auto;
  margin-right: auto;
  /* margin-top: 3rem;
  margin-bottom: 3rem; */
  position: relative;
}

.content__flex{
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.section__in-width{
  width: 80vw;
  margin-left: auto;
  margin-right: auto;
  margin-top: 2rem;
}

.content__flex-in{
  position: relative;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
}

.title__section{
  flex: 1 1 30%;
}

.content__flex-in{
  flex: 1 1 70%;
}


/*..........................................
..............PLANTILLA INICIO..............
............................................*/

.plantillaInicio {
  position: relative;
  background-image: url("../img/plantillaInicio/images.jpg");
  background-repeat: no-repeat;
  background-position: center center;
  background-attachment: fixed;
  top: 0;
  left: 0;
  background-size: cover;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

.plantillaInicio::before{
  content: "";
  position: absolute;
  width: 100vw;
  height: 100vh;
  background-color: var(--trasparent);
} 

.slogan{
  position: absolute;
  width: 57vw;
  top: 7em;/*112px*/
  left: 1em;/*16px*/
}  

/*TITULO*/
.title {
  font-size:calc(16px + (56 - 16) * ((100vw - 300px) / (1920 - 320)));
  font-family: "encabezado", sans-serif;
  text-transform:uppercase;
}

/* .slogan__subtitle h1 > span{
  display: block;
  font-size: inherit;
  letter-spacing: 1.7 !important;
} */

.subtitle {
  font-family: "titulos", sans-serif;
  font-size: calc(14px + (24 - 14) * ((100vw - 300px) / (1920 - 320)));
  color: var(--verde);
}

/* .ml2 .letter {
  display: inline-block;
  line-height: 1em;
} */

.text_titulo{
  font-family: "texto", sans-serif;
  font-size: calc(14px + (18 - 14) * ((100vw - 300px) / (1920 - 320)));
  font-weight: bold;
}

.text{
  font-family: "texto", sans-serif;
  font-size: calc(12px + (16 - 12) * ((100vw - 300px) / (1920 - 320)));
}

.text-footer{
  font-family: "texto", sans-serif;
  font-size: calc(8px + (12 - 8) * ((100vw - 300px) / (1920 - 320)));
}
.none{
  display: none;
}

strong{
  color: var(--verde);
  font-size: calc(12px + (16 - 12) * ((100vw - 300px) / (1920 - 320)));
  font-weight: 900;
}

/*estilos BTN GRANDE*/
.slogan__btn button{
  position: absolute;
  padding: 0.5em 0.8em;
  font-weight: 700;
  font-family: "texto", sans-serif;
  font-size: calc(16px + (16 - 16) * ((100vw - 300px) / (1920 - 320)));
  color: var(--grisoscuro);
  border-radius: 8px;
  background-color: var(--lila);
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.slogan__btn button:hover{
  opacity: 0.7;
  color: var(--blanco);
}

.section-sobreNosotros p{
  font-size: calc(12px + (18 - 12) * ((100vw - 300px) / (1920 - 320)));
}


/*resposive designe*/
@media all and (min-width: 768px){
  .slogan{
    top: 10em;/*160px*/
    left: 10em;/*160px*/
  } 
  .none{
    display: block;
  }
   .slogan__btn button{
    padding: 0.9em 1em; /*14.4px 16px*/
  }
}

@media all and (min-width: 990px){
  .slogan{
    width: 40vw;
  }
}



/*...................................
....... SECTION SLIDES IMAGENES......
.....................................*/

.content__hero{ /*altura y anchura del padre definitiva del contenedor*/
  width: 100vw;
  overflow: hidden;
  position: relative;
  text-align: center;
  background-color: var(--blanco);
  margin: 32px 0px;
}

#header{
  margin: 32px;
}

.header__title{
  margin: 1.5em 0px; /*padding del titulo*/
}

#hero__content-slides{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(4, 1fr);
  grid-column-gap: 8px;
  grid-row-gap: 8px;
}

/*imagenes*/
.div1{
  background-image: url("../img/slides-plantillaInicio/1.png");
}
.div2{
  background-image: url("../img/slides-plantillaInicio/2.jpg");
}
.div3{
  background-image: url("../img/slides-plantillaInicio/3.png");
}
.div4{
  background-image: url("../img/slides-plantillaInicio/4.jpg");
}
.div5{
  background-image: url("../img/slides-plantillaInicio/17.jpg");
}
.div6{
  background-image: url("../img/slides-plantillaInicio/6.jpg");
}
.div7{
  background-image: url("../img/slides-plantillaInicio/8.jpg");
}
.div8{
  background-image: url("../img/slides-plantillaInicio/9.jpg");
}
.div1,
.div2,
.div3,
.div4,
.div5,
.div6,
.div7,
.div8{
  background-repeat: no-repeat;
  background-position: top center;
  top: 0;
  left: 0;
  background-size: cover;
  height: 250px;
  overflow: hidden;
  border-radius: 4px;
}

/*grilla*/

.div1 { grid-area: 1 / 1 / 2 / 2; }
.div2 { grid-area: 1 / 2 / 2 / 3; }
.div3 { grid-area: 2 / 1 / 3 / 2; }
.div4 { grid-area: 2 / 2 / 3 / 3; }
.div5 { grid-area: 3 / 1 / 4 / 2; }
.div6 { grid-area: 3 / 2 / 4 / 3; }
.div7 { grid-area: 4 / 1 / 5 / 2; }
.div8 { grid-area: 4 / 2 / 5 / 3; }

.hero__btn{ /*margen del boton*/
  margin: 32px;
}

@media all and (min-width: 990px) {
  #hero__content-slides{ /*2 columnas*/
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 8px;
    grid-row-gap: 8px;
  }
  
  .div1 { grid-area: 1 / 1 / 2 / 2; }
  .div2 { grid-area: 1 / 2 / 2 / 3; }
  .div3 { grid-area: 1 / 3 / 2 / 4; }
  .div4 { grid-area: 1 / 4 / 2 / 5; }
  .div5 { grid-area: 2 / 1 / 3 / 2; }
  .div6 { grid-area: 2 / 2 / 3 / 3; }
  .div7 { grid-area: 2 / 3 / 3 / 4; }
  .div8 { grid-area: 2 / 4 / 3 / 5; }

  #hero__content-slides{
    background-position: center top;
}

}

/*...............................................
.........TIPOLOGÍAS.............................
.................................................*/

.content__tipologias{
  width: 100vw;
  overflow: hidden;
  position: relative;
  text-align: center;
  background-color: var(--blanco);
  margin: 32px 0px;
}

.economica{
  background-image: url("../img/tipologias/economica.jpg");
}
.standard{
  background-image: url("../img/tipologias/standard.jpg");
}
.mejorada{
  background-image: url("../img/tipologias/mejorada.jpg");
}

.economica,
.standard,
.mejorada{
  background-repeat: no-repeat;
  background-position: center center;
  top: 0;
  left: 0;
  background-size: cover;
  width: 100%;
  height: 250px;
  overflow: hidden;
  border-radius: 4px;
  position: relative;
}

.tipologias-images h2{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.tipologias-images h2:hover{ /*hover del titulo*/
  background-color: var(--blanco);
  padding: 0.2em 0.2em;
  border-radius: 8px;
  transition: all 0.5s;
}

.tipologias-images::before{ /*opacidad de las imagenes*/
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--trasparent);
} 
.tipologias-images:hover::before{ /*opacidad de las imagenes*/
  background-color: transparent;
  transition: all 1s ease-out;
} 


/*grilla*/
#content__tipologias-images{
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(3, 1fr);
  grid-column-gap: 0px;
  grid-row-gap: 8px;
  margin-bottom: 32px;
}
  
.economica { grid-area: 1 / 1 / 2 / 2; }
.standard { grid-area: 2 / 1 / 3 / 2; }
.mejorada { grid-area: 3 / 1 / 4 / 2; }



@media all and (min-width: 990px){
    #content__tipologias-images {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-template-rows: 1fr;
      grid-column-gap: 8px;
      grid-row-gap: 0px;
      }
      
      .economica { grid-area: 1 / 1 / 2 / 2; }
      .standard { grid-area: 1 / 2 / 2 / 3; }
      .mejorada { grid-area: 1 / 3 / 2 / 4; }
  }

/*.........................................
........ PREGUNTAS FRECUENTES ...................*/

.preguntasFrecuentes{
  text-align: center;
  display: flex;
  min-height: auto;
  margin: 32px 0px;
}

.accordion .accordion-item { /*linea que separa*/
  border-bottom: 2px solid var(--lila);
}

.accordion button {
  position: relative;
  display: block;
  text-align: left;
  width: 100%;
  padding: 1em 0;
  color: var(--grisoscuro);
  font-size: 1.15rem;
  font-weight: 400;
  border: none;
  background: none;
  outline: none;
}
.accordion button:hover, .accordion button:focus {
  cursor: pointer;
  color: var(--verde);
}
.accordion button:hover::after, .accordion button:focus::after {
  cursor: pointer;
  color: var(--verde);
  border: 1px solid var(--verde);
}
.accordion button .accordion-title {
  padding: 1em 1.5em 1em 0;
}
.accordion button .icon {
  display: inline-block;
  position: absolute;
  top: 18px;
  right: 0;
  width: 22px;
  height: 22px;
  border: 1px solid;
  border-radius: 22px;
}
.accordion button .icon::before {
  display: block;
  position: absolute;
  content: "";
  top: 9px;
  left: 5px;
  width: 10px;
  height: 2px;
  background: currentColor;
}
.accordion button .icon::after {
  display: block;
  position: absolute;
  content: "";
  top: 5px;
  left: 9px;
  width: 2px;
  height: 10px;
  background: currentColor;
}
.accordion button[aria-expanded=true] {
  color: var(--verde);
}
.accordion button[aria-expanded=true] .icon::after {
  width: 0;
}
.accordion button[aria-expanded=true] + .accordion-content {
  opacity: 1;
  max-height: 9em;
  transition: all 200ms linear;
  will-change: opacity, max-height;
}
.accordion .accordion-content {
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  transition: opacity 200ms linear, max-height 200ms linear;
  will-change: opacity, max-height;
}

/*.........................................
........ TESTIMONIOS...................*/

.testimonios__container{
  height: 20vh;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 32px 0px;
  text-align: center;
}
.testimonios__items {
  padding: 2em;
}

@media all and (min-width: 990px){
  .testimonios__items {
    padding: 18em;
  }
  .testimonios__container{
    height: 30vh;
  }
}

/*.........................................
........ TEXTO INFINITO...................*/


.text__pasante{
  width: 100vw;
  height: 20vh;
  position: relative;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  overflow: hidden;
}

.words {
  display: inline-block;
  white-space: nowrap;
  /* El ancho del text debe ser igual que la distancia entre sombras */
  animation: move-text 500s linear infinite;
  /* Text shadow funciona igual que box-shadow, pero para texto   */
}

@keyframes move-text {
  to {
    transform: translateX(-100%);
  }
}

.title__pasante{
  color: #09879333;
  font-size: calc(48px + (72 - 48) * ((100vw - 300px) / (1920 - 320)));
}

.btn__textPasante button{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 1em 1.25em;
  font-family: "texto", sans-serif;
  font-weight: 700;
  font-size: calc(16px +(24 - 16)*((100vw - 300px) /(1920 - 320)));
  border-radius: 8px;
  background-color: var(--lila);
  color: var(--grisoscuro);
  box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

/*.........................................
........ NUESTROS VALORES ...................*/

/* .flex-in-Vs-inicio h3{
  font-family: "encabezado", sans-serif;
  font-size: calc(16px + (24 - 16) * ((100vw - 300px) / (1920 - 320)));
  color: var(--verde);
}
.valor{ 
  padding: 1rem;
  margin-bottom: 9px;
  border-radius: 10px;
  border: 2px solid var(--verde);
} */

/*.......................................
....... QUIENES SOMOS........................
......................................... */

.content__flex-in p > strong{
  font-size: inherit;
  color: var(--verde);
}



/* RESPONSIVE DESIGNE */

@media all and (min-width: 768px) {
  /* .slogan {
   width: 46%;
   top: 9em;
   left: 6em;
  } */

  .slides-inicio {
    width: 226%;
  }
  
  .flex-in-Vs-inicio{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 10px;
  }

  .valor{
    height: 14.2em;
  }

}
@media all and (min-width: 990px) {
  .content__flex{
    flex-direction: row;
    flex-wrap: nowrap;
    align-items:center;
  }

  .content__flex-in {
    align-items: end;
  }

  .content__flex-in p{
    text-align: end;
  }

  .flex-in-Vs-inicio h3{
   text-align: end;
  } 
  
}
@media all and (min-width: 1200px) {
  /* .slogan{
    width: 35%;
    left: 24em;
  }

  .section__in-width{
    width: 60vw; 
  } */


  .valor {
    height: 11em;
  }
 
}
